<?php
/*
Plugin Name: WD SearchForm
Plugin URI: http://www.webdesk.co.il
Description: A simple search widget
Version: 1.1
Author: Yoav Kadosh
Author URI: http://www.webdesk.co.il
*/

// Copyright (c) 2012 WebDesk, Yoav Kadosh. All rights reserved.
//
// Released under the GPL license
// http://www.opensource.org/licenses/gpl-license.php
//
// This is an add-on for WordPress
// http://wordpress.org/
//
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
// **********************************************************************
//
//You should have received a copy of the GNU General Public License
//along with this program.  If not, see <http://www.gnu.org/licenses/>


function wdsf_plugin_init() {
	
	// Make plugin available for translation
	load_plugin_textdomain( 'wd-searchform', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

	if (!defined('WSP_VERSION')) {
	    define('WSP_VERSION','1.1');
	}
	if (!defined('WSP_AUTHOR')) {
	    define('WSP_AUTHOR','Yoav Kadosh');
	}
}
add_action( 'init', 'wdsf_plugin_init' );

// import the Widget Class
require_once( plugin_dir_path( __FILE__ ) . 'widget.php');

//Add the Stylesheet
add_action('wp_enqueue_scripts', 'add_wds_style');
function add_wds_style(){
    wp_register_style('wds-style', plugins_url('style.css', __FILE__));
    wp_enqueue_style('wds-style');
}
?>